# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'prct06/version'

Gem::Specification.new do |spec|
  spec.name          = "Menu_dietetico"
  spec.version       = Prct06::VERSION
  spec.authors       = ["Isaac Aimán"]
  spec.email         = ["alu0100841565@ull.edu.es"]

  spec.summary       = %q{Práctica de laboratorio #8. Desarrollo de una lista doblemente enlazada mediante un desarrollo dirigido por pruebas y creación de una jerarquía de clases}
  spec.description   = %q{Siguiendo el modelo de desarrollo dirigido por pruebas o TDD, se busca implementar una lista soblemente enlazada en Ruby, partiendo de la estructura de gema de la práctica 7  e implementar dos clases hijas de la clase Menu.}
  spec.homepage      = "https://github.com/ULL-ESIT-LPP-1617/menu-dietetico-alu0100841565"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.13"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-rspec"
  spec.add_development_dependency "guard-bundler"
end
